import nextcord
from nextcord.ext import commands

class Main(commands.Cog):
    def __init__(self, bot):
        self.client = bot

    @commands.command()
    async def help(self, ctx: nextcord.Message):
        embeds = [
            nextcord.Embed(title="Help"),
            nextcord.Embed(title="Info")
        ]
        for command in self.client.commands:
            embeds[0].add_field(name=command.name, value=f"Arguments: {command.usage} \nDescription: {command.description}")

        embeds[1].set_author(name="Entar", url="https://git.squog.ru", icon_url="https://git.squog.ru/entar/SquogBot/raw/branch/master/images/Kidnap1.jpg")
        embeds[1].description = "SquogBot made by Entardev"
        await ctx.reply(embeds=embeds)

    @commands.command(description="Check how fast the bot will reply to you.")
    async def ping(self, ctx: nextcord.Message):
        await ctx.reply("Pong!")


def setup(bot):
    bot.add_cog(Main(bot))